%global momorel 2
Summary: NTLM module for perl 
Name: perl-NTLM
Version: 1.05
Release: %{momorel}m%{?dist}
License: see "README"
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Authen/NTLM-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Authen/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 5.8.5
BuildArch: noarch

%description
NTLM module for perl

%prep
%setup -q -n NTLM-%{version} 

%build
find . -type f | xargs perl -p -i -e 's|/usr/local/bin/perl|/usr/bin/perl|'
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > NTLM-%{version}-filelist
if [ "$(cat NTLM-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_vendorarch}/auto/Authen/NTLM/.packlist

%files -f NTLM-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.05-2m)
- rebuild against rpm-4.6

* Wed Jun 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.05-1m)
- update to 1.05

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.03-2m)
- rebuild against gcc43

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.03-1m)
- update to 1.03

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.02-10m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.02-9m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.02-8m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.02-7m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.02-6m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.02-5m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.02-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.02-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Dec 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.02-1m)
- spec file was semi-autogenerated
